#ifndef DEF_GAME
#define DEF_GAME

/* Game.h
 * Defines the class Game
 * A game allows a player to play. It contains a grid and pops numbers
 * Creators : krilius, manzerbredes
 * Date : 29/04/2015 */

#include <iostream>
#include <string>
#include "../Helpers/Keyboard.hpp"
#include "Grid.hpp"
#include <tuple>

class Game
{
	private:
		Grid m_grid;
		int m_score;
		int m_nbMove;
	public:
		Game();
		~Game();

		bool swipe(kbdh::Direction direction);
		void coutGrid();
		void popRandomNumber();
		bool isOver();

		int getScore();
		int getNbMove();
};

#endif
